from django.conf.urls import patterns, include, url
from django.conf import settings

from django.views.generic import RedirectView
from django.core.urlresolvers import reverse_lazy

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    url(r'^$', 'panikweb.views.home', name='home'),
    url(r'^onair.json$', 'panikweb.views.onair', name='onair'),
    url(r'^program/$', 'panikweb.views.program', name='program'),
    url(r'^program/(?P<year>\d{4})/(?P<week>\d+)/$', 'panikweb.views.program', name='program_week'),
    url(r'^grid$', 'panikweb.views.grid', name='grid'),
    url(r'^emissions/$', 'panikweb.views.emissions', name='emissions'),
    url(r'^emissions/(?P<slug>[\w,-]+)/episodes/$', 'panikweb.views.emissionEpisodes', name='emissionEpisodes'),
    url(r'^emissions/(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/$', 'panikweb.views.episode', name='episode-view'),
    url(r'^emissions/(?P<slug>[\w,-]+)/$', 'panikweb.views.emission', name='emission-view'),
    url(r'^ckeditor/', include('ckeditor.urls')),
    url(r'^emissions/archives$', 'panikweb.views.emissionsArchives', name='emissionsArchives'),
    url(r'^listen/$', 'panikweb.views.listen', name='listen'),
    url(r'^listen/archives/$', 'panikweb.search.listenArchives', name='listenArchives'),
    url(r'^news/$', 'panikweb.views.news', name='news'),
    url(r'^news/archives/$', 'panikweb.views.newsArchives', name='newsArchives'),
    url(r'^news/(?P<slug>[\w,-]+)$', 'panikweb.views.newsitemview', name='news-view'),

    url(r'^search/', 'panikweb.search.view', name='search'),

    url(r'^podcasts.rss', 'panikweb.views.podcasts_feed', name='podcasts-feed'),

    url(r'^newsletter/', include('newsletter.urls')),
    (r'^api/v2/', include('fiber.rest_api.urls')),
    (r'^admin/fiber/', include('fiber.admin_urls')),
    (r'^jsi18n/$', 'django.views.i18n.javascript_catalog', {'packages': ('fiber',),}),

    url(r'^admin/', include(admin.site.urls)),
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
)

from django.contrib.staticfiles.urls import staticfiles_urlpatterns
urlpatterns += staticfiles_urlpatterns()

from django.conf.urls.static import static
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += patterns('',
    (r'', 'panikweb.views.fiber_page'),
)

try:
    from local_urls import *
except ImportError, e:
    pass
